%define uname   arteFetcher

Name:           artefetcher
Version:        0.8.0
Release:        4%{?dist}
Summary:        Fetch videos from German and French Arte+7 website
License:        GPL-3.0-or-later
Url:            https://sourceforge.net/projects/%{name}
Source:         https://downloads.sf.net/artefetcher/%{name}_%{version}.tar.gz

BuildRequires:  gzip
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  qt
BuildRequires:  qt-devel
BuildRequires:  desktop-file-utils
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtxmlpatterns-devel
BuildRequires:  qt5-qtscript-devel

%description
Fetch videos from German and French Arte+7 website

%prep
%autosetup -n %{name}
lrelease-qt5 %{uname}_de.ts %{uname}_fr.ts

%build
%qmake_qt5 PREFIX=%{_buildrootdir}/%{name}-%{version}-%{release}.%{_arch}/%{_bindir}
%make_build

%install
%make_install
gzip -d %{uname}.1.gz
install -D -m644 %{uname}.1 %{buildroot}%{_mandir}/man1/%{uname}.1
install -D -m644 img/%{uname}.png %{buildroot}%{_datadir}/pixmaps/%{uname}.png
desktop-file-install %{uname}.desktop

%files
%{_prefix}/bin/%{uname}
%{_datadir}/applications/%{uname}.desktop
%{_datadir}/pixmaps/%{uname}.png
%{_mandir}/man1/%{uname}.1*
%license LICENSE
%doc Readme

%changelog
* Sat Feb 18 2023 Damien Guégan <bolivari@fedoraproject.org> 0.8.0-4
- Fix buildroot error

* Sun Feb 05 2023 Damien Guégan <bolivari@fedoraproject.org> 0.8.0-3
- Fix rpmlint warning

* Thu Nov 03 2022 Damien Guégan <bolivari@fedoraproject.org> 0.8.0-2
- New Spec file

* Wed Oct 19 2022 Damien Guégan <bolivari@fedoraproject.org> 0.8.0-1
- Imported version from Mageia 9
